# Geodesy

[![pub package](https://img.shields.io/pub/v/geodesy.svg)](https://pub.dartlang.org/packages/geodesy)

## About

A Dart library for implementing geodesic and trigonometric calculations based on a spherical Earth model for working with points and paths such as distances, bearings and destinations.

## How to Use Geodesy

### Commands

#### For Dart

```dart
dart pub add geodesy
```

#### For Flutter

```dart
flutter pub add geodesy
```

### Import Geodesy

```dart
import 'package:geodesy/geodesy.dart';
```

## Class

The `Geodesy` class provides a collection of methods for performing various geodetic calculations, including distance calculations, point intersections, and more. This class is designed to work with geographical coordinates in the form of latitude and longitude.

Please see the [Usage](doc/CLASS.md) and [Example](example/class_example.dart).

## Static Methods

Static methods are available without using `Geodesy` instance.

Please see the [Usage](doc/METHODS.md) and [Example](example/static_example.dart).

## License

This project is licensed under [MIT](./LICENSE).

## Contributors

Thank you for your contributions! We appreciate all the contributions from the community.

<a href="https://github.com/wingkwong/geodesy/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=wingkwong/geodesy" />
</a>